> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a checkout payment with transaction reference



## OpenAPI

````yaml post /api/v1/initiate
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/initiate:
    post:
      tags:
        - Checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutInitRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CheckoutInitRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CheckoutInitRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitiateFailureResponse'
components:
  schemas:
    CheckoutInitRequest:
      required:
        - transactionReference
      type: object
      properties:
        transactionReference:
          maxLength: 50
          minLength: 16
          type: string
          description: The reference ID for the transaction
        amount:
          type: number
          format: double
          description: The amount to be charged for the transaction
        currency:
          type: string
          nullable: true
          description: The currency in which the transaction is to be processed
        metaData:
          type: string
          nullable: true
          description: Additional metadata for the transaction
        redirectUrl:
          type: string
          nullable: true
          description: The URL to redirect the user after the transaction
        allowedPaymentOptions:
          type: string
          nullable: true
          description: The payment options allowed for the transaction
        checkoutCustomerData:
          $ref: '#/components/schemas/CheckoutCustomerData'
        checkoutCustomizationData:
          $ref: '#/components/schemas/CheckoutCustomizationData'
        splitPaymentTransactionInfo:
          $ref: '#/components/schemas/splitPaymentTransactionInfo'
      additionalProperties: false
    ApiResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        status: true
        message: Transaction Initialized successfully
        data:
          transactionReference: string
          amount: 0
          statusCode: '01'
          statusMessage: Transaction initiated successfully
          publicKey: string
          paymentRedirectUrl: string
    InitiateFailureResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        status: false
        message: Empty request not allowed.
        data:
          responseCode: '400'
          responseDescription: Invalid request.
    CheckoutCustomerData:
      required:
        - email
        - firstName
        - lastName
      type: object
      properties:
        email:
          minLength: 1
          type: string
          format: email
          description: The email address of the customer
        firstName:
          minLength: 1
          type: string
          description: The first name of the customer
        lastName:
          minLength: 1
          type: string
          description: The last name of the customer
        phoneNumber:
          type: string
          nullable: true
          description: The phone number of the customer
      additionalProperties: false
    CheckoutCustomizationData:
      type: object
      properties:
        logoUrl:
          type: string
          nullable: true
        paymentDescription:
          maxLength: 255
          minLength: 0
          type: string
          nullable: true
          description: A brief description of the payment
        checkoutModalTitle:
          type: string
          nullable: true
          description: The title of the checkout modal
      additionalProperties: false
    splitPaymentTransactionInfo:
      type: object
      properties:
        use_preconfiguration:
          type: boolean
          example: false
        splitDetails:
          type: array
          items:
            $ref: '#/components/schemas/SplitDetail'
      additionalProperties: false
    SplitDetail:
      type: object
      properties:
        split_reference_code:
          type: string
          example: 31SPLIT0000130004498921
        split_type:
          type: string
          enum:
            - flat
            - percent
          example: flat
        split_value:
          type: number
          example: 200
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````